Page 4 of 18

PostPosted: Tue Mar 10, 2009 1:18 pm
by fma38
I uploaded the 1.9.8 release (only for Nokia)...

PostPosted: Tue Mar 10, 2009 2:10 pm
by GURL
fma38 wrote:I changed it to 150! Hope it is enough...

:) I foresee you will change it to 256, some day...

:o A nearly endless list of horrific examples can be found there: [url]http://www.google.fr/search?hl=fr&q=pathname+character+count+length+"256"&btnG=Rechercher&meta=[/url]

PostPosted: Tue Mar 10, 2009 8:47 pm
by fma38
Windows package for release 1.9.8 is online...

PostPosted: Sun Mar 15, 2009 7:37 pm
by fma38
Hello folks!

Just to say that the first stable release of the branch 2.x is online! Thanks to all translators for they great work, and to all beta-testers.

This first release does not add much new features (except external script support for tethered shooting), but it is now time to start to integrate all the nice ideas we discussed so far. I made a first prototype for plugins support; I hope to be able to show you something soon. This will be much simpler to integrate new hardwares (servo-based head), or tethered programs.

Enjoy!

PostPosted: Mon Mar 16, 2009 6:59 pm
by claudevh
Hi Frederic,

Could you confirm that the version 2 isn't not compatible with the Nokia 770 ?

Thanks

:cool:

PostPosted: Tue Mar 17, 2009 8:00 am
by fma38
Yes, because there is no Qt/PyQt port for OS2007...

PostPosted: Tue Mar 17, 2009 1:32 pm
by klausesser
fma38 wrote:Hello folks!

Just to say that the first stable release of the branch 2.x is online!

Enjoy!

Hi Frédéric!

Great! But: how do i get the missing qt stuff into my N800?
Sorry for asking such a stupid question - but i´m not used to these things . . . :rolleyes:

best, Klaus

P.S.: i tried your line "# apt-get install python2.5-qt4-network"
doesn´t work somehow.

best, Klaus

P.S.: 2

did now install from the PYQt4 for Maemo site - but "python2.5-qt4-gui" seems to be missing, when i start to install PW2

PostPosted: Tue Mar 17, 2009 2:43 pm
by fma38
Someone on the french part of the forum was also trying, without success. I checked, and it seems that the PyQt maemo packages are switching to v4.5, and are broken :( So, we have to wait...

But you can still use v1.6.1, which is very close to v2.0.0; the most important new feature of this last is the tethered shooting script, which won't work on Nokia anyway.

PostPosted: Tue Mar 17, 2009 3:09 pm
by fma38
Ok, I rechecked, and it seems that all works fine. Did you followed these explanations:

http://www.autopano.net/forum/p40949-yesterday-16-54-39#p40949

PostPosted: Tue Mar 17, 2009 5:38 pm
by klausesser
Hi Frédéric!

Got it now. BUT: Papy generates THREE scripts at once. NONE of them works in APG 2.
Without scripts APG does well (besides of an irritating new layout . . . but maybe PC-Freaks might love it . . :P:cool:) . .

best, Klaus

PostPosted: Tue Mar 17, 2009 5:57 pm
by mediavets
klausesser wrote:Hi Frédéric!

Got it now. BUT: Papy generates THREE scripts at once. NONE of them works in APG 2.
Without scripts APG does well (besides of an irritating new layout . . . but maybe PC-Freaks might love it . . :P:cool:) . .

best, Klaus

Hi Klaus,

What aspects of the layout don't you like? It hasn't changed much has it?

PostPosted: Tue Mar 17, 2009 6:36 pm
by fma38
What do you mean by THREE scripts at once?

PostPosted: Tue Mar 17, 2009 6:54 pm
by klausesser
fma38 wrote:What do you mean by THREE scripts at once?

there are three log-files instead of none - some seconds apart from each other.
Whei i imported one of them into APG 2 the script was imported but no numbers of shots shown.
Importing the shots doesn´t lead to a start - it´s inactive.

I would check it again - but i have installed 1.6.1 again now.
Will try to use it with APG2 on PC.

Will send you a screenshot from N800.

best, Klaus

PostPosted: Tue Mar 17, 2009 7:02 pm
by klausesser
mediavets wrote:
klausesser wrote:Hi Frédéric!

Got it now. BUT: Papy generates THREE scripts at once. NONE of them works in APG 2.
Without scripts APG does well (besides of an irritating new layout . . . but maybe PC-Freaks might love it . . :P:cool:) . .

best, Klaus

Hi Klaus,

What aspects of the layout don't you like? It hasn't changed much has it?

The layout of APP always was straight foreward - no gimmicks and all.
Now it´s like a Windows-designer tried to "enhance" it optically: too heavy frames, the editors´s picture-size was to set very easy . now you have to click yourself to the needed size . . where is "fit to window", where is "100%" or "50%" and so on.
On a laptop with 1024x768 hardly acceptable - a mess to use if you´re used to slim and fast and highly elaborated designed interfaces.

Ergonomically worse than ever before - in my opinion. I didn´t see the Mac-version cause i have no Intel-Mac here.

But one gets used to it - of course. Just a different feeling.

best,, Klaus

PostPosted: Tue Mar 17, 2009 7:13 pm
by klausesser
here a sreenshot of the Papy-log files for APG:

i shot ONE sphere! Without interruptions.

PostPosted: Tue Mar 17, 2009 7:37 pm
by fma38
These are log file, not xml files! I activated the log on files, because sometimes we need to be able to read log *after* a crash.

It is normal that APG can't load them ;)

I will change the output dir for that log files (to a temp dir, instead).

PostPosted: Tue Mar 17, 2009 7:52 pm
by mediavets
klausesser wrote:=the editors´s picture-size was to set very easy . now you have to click yourself to the needed size . . where is "fit to window", where is "100%" or "50%" and so on.

Klaus,

I have to agree with this comment - I too preferred the drop down to the spin control.

There are two keyboard shortcuts - Ctl-0 will fit to window and Ctl-1 will go to 100% (I think I got those the right way round).

But neither is quite what I want because I like to have the grid set to degrees and to have a border around the stitched preview so I can read the grid co-ordinate text.

PostPosted: Tue Mar 17, 2009 9:46 pm
by klausesser
fma38 wrote:These are log file, not xml files! I activated the log on files, because sometimes we need to be able to read log *after* a crash.

It is normal that APG can't load them ;)

I will change the output dir for that log files (to a temp dir, instead).

:rolleyes: sh . . . :cool: - but they´re located where the Papy files usually. Where the hell are the xml located for APG?

best to you, Klaus

PostPosted: Tue Mar 17, 2009 9:54 pm
by mediavets
klausesser wrote:
fma38 wrote:These are log file, not xml files! I activated the log on files, because sometimes we need to be able to read log *after* a crash.

It is normal that APG can't load them ;)

I will change the output dir for that log files (to a temp dir, instead).

:rolleyes: sh . . . :cool: - but they´re located where the Papy files usually. Where the hell are the xml located for APG?

best to you, Klaus

In the data directory you define in Configure tab.

I set mine to be the SD card. Because then when I plug the N800 in via USB I can access those files dircetly from APG when using the Import filter, which based on my first simple test seems to work rather well.

PostPosted: Tue Mar 17, 2009 11:42 pm
by klausesser
mediavets wrote:I set mine to be the SD card. Because then when I plug the N800 in via USB I can access those files dircetly from APG when using the Import filter, which based on my first simple test seems to work rather well.

Hi Andrew!

Yep - thanks. I made a stupid mistake . . :(:cool: - thought it was like in the version before.

best to you, Klaus

PostPosted: Thu Mar 19, 2009 6:06 pm
by mediavets
Frederic,

Are we any nearer getting the virtual keyboard to work with Papywizard 2.x branch on the Nokia N800/N810?

PostPosted: Thu Mar 19, 2009 6:25 pm
by fma38
Hey, it now works (I didn't check before)!

You should try to update the packages:

Code: Select all
$ sudo gainroot
# apt-get update
# apt-get upgrade

PostPosted: Thu Mar 19, 2009 6:37 pm
by mediavets
fma38 wrote:Hey, it now works (I didn't check before)!

You should try to update the packages:

Code: Select all
$ sudo gainroot
# apt-get update
# apt-get upgrade


Did that and....

1. Virtual KB works with text fields in Configure. :)

2. Virtual KB does not work with numeric fields in Configure, or Main window. :(

PostPosted: Thu Mar 19, 2009 6:41 pm
by fma38
Yes, you're right... Hope this will be fixed with qt4.5 (the C++ lib is already available, but I didn't yet see the python binding. It should come soon).

PostPosted: Thu Mar 19, 2009 7:30 pm
by klausesser
Could it be that APG Beta wants the scripts generated from PW v.2 but no more the ones from 1.6.1?
I tried them on my son´s PC - garbage.

Now i´ll re-install APG and will use PW v2 on my N800 - if i get it run . . :P But i think i have all parts together now.
To recapitulize: i set the path for the scripts generated by PW/N800 to the external card and import it from there into APG. (i have to copy it to the 64bit Vista-desktop first - like the pictures).
Then i´ll try it using the WinXP-laptop.
Is there any problem using 64bit Vista?

best, Klaus